**`Janardhan Govindarajan`[NAME]** -NL- AVP **`Deutsche Bank`[EMPLOYER_COMPANY_NAME]** -NL- E Mail: **`janagovi@gmail.com`[EMAILS_EMAIL]** -NL- Mobile: **`+44 7424051384`[PHONES_PHONE]** -NL- **`Profile Summary`[SUMMARY_HEADING]** -NL-  10+ years of experience in analysis, architecture, design, and build of -NL- complex, fault tolerant and low latency enterprise applications using REST -NL- based micro services and batches using Java with spring framework & -NL- relational/No SQL databases. -NL-  AWS Certified Cloud Practioner with working experience of cloud based -NL- application development and hosting. -NL-  International working experience - as soulution Technology lead for clients in -NL- Singapore, Dubai & Republic of Ireland. -NL- SYSTEMS HANDLED: -NL- **`Languages`[OTHERS_HEADING]** -NL- Java, J2EE -NL- Databases -NL- MySQL, Mongo, Oracle -NL- Routing -NL- Apache Camel, Apache Kafka -NL- Server -NL- Jetty, Tomcat -NL- Specialization -NL- Architecture, Design and Development of high availability -NL- REST based Micro services. -NL- Spring Boot, Spring data JPA, Hibernate ORM, -NL- IAAS (AWS), JANRAIN, oAUTH -NL- Unix Shell Scripting, -NL- Maven, -NL- JSON, Liquibase -NL- Tools & Utilities -NL- GIT, Java Melody, Nginx, Nagios, JIRA, -NL- SONAR, Teradata SQL Assistant -NL- Visual Source Safe, Tortoise SVN -NL- **`Work Experience:`[WORK_EXPERIENCE_HEADING]** -NL- Current -NL- **`Deutsche Bank`[EMPLOYER_COMPANY_NAME]** (Since May 14’2018 – present ) @London -NL- Previous -NL- **`Infosys Limited`[EMPLOYER_COMPANY_NAME]** (Feb 9, 2009 – April 26th 2018) @Singapore, India, -NL- Dubai, London & Ireland. -NL- DETAILS OF THE PROJECTS WORKED ON -NL- 0 Project Name **`Identity & Access Central Solutions`[PROJECT_TITLE]** -NL- 1 -NL- Position -NL- Development Team Lead -NL- Client -NL- Internal Bank applications, employees (Internal/External) -NL- Description of the project -NL- Single source of system for Identity, Access and resource management, -NL- and Off boarding for all applications, users of the bank. A single -NL- provisioning interface which takes care of employee on-boarding, -NL- Page 1 of 4 -NL- deciding and approval of access to required systems, rectifications and -NL- off boarding accesses using Role based Access and Attribute based -NL- access. Interaction with multiple systems of the bank either real time or -NL- via the messaging services. A Lead (developer) for a team of 10 -NL- comprising of vendors and we are responsible for delivery of the sprint -NL- stories. -NL- Responsibility -NL- Includes Understanding Requirements from senior stake holders, -NL- architecture design, working as SME for Solution Definition, Resource -NL- Management (Internal/Vendors), and Technical Design document -NL- Preparation, Coding, Unit Testing and delivery management. -NL- Duration -NL- MAY’ 2018 - Present -NL- Appreciation -NL- Monetary Recognition Reward for stellar contribution -NL- Hands On -NL- Core Java, Spring Boot, REST API, JPA, , Apache Kafka, Oracle, -NL- oAuth2.0, UML, JSON, Hibernate ORM, AWS, Bit Bucket, git, Jenkins, -NL- Liquibase, Maven -NL- 0 Project Name **`Aimia Loyalty Platform`[PROJECT_TITLE]** -NL- 2 -NL- Client -NL- **`Aimia`[PROJECT_COMPANY_NAME]** -NL- Description of the project -NL- AIMIA Loyalty Platform (ALP) is a revolutionaryflagship loyalty mgmt. -NL- solution of AIMIA Systems to support both coalition and proprietary -NL- loyalty solutions of their customers. ALP is a complex product built on -NL- the latest technologies with the intent to become global leader in -NL- loyalty mgmt. which caters to multiple domains, providing different -NL- modes of operations, isflexible yet scalable and performant at cost -NL- effective rates. -NL- Responsibility -NL- Includes Understanding Requirements from Business, working with -NL- Business Analysts for BRD, working as SME for Solution Definition, -NL- Resource Management, Technical Design document Preparation, -NL- Coding, Unit Testing, Integration testing, Configuration Management, -NL- Deployment in Integration and QA Environments & production support -NL- Onshore -NL- Worked under Architect’s for Product Architecture Assessment and -NL- **`Experience`[WORK_EXPERIENCE_HEADING]** -NL- worked as senior developer for loyalty solution to an US Client (based -NL- out of London) -NL- Lead a team for loyalty solution to an Australian Telecommunication -NL- Client(Based out of Singapore) -NL- Worked as SME and solution lead for Ireland's leading grocery retail and -NL- wholesale company's Loyalty Program(London/Republic of Ireland) -NL- Duration -NL- AUG’ 2013 –APR’2018 -NL- Appreciation -NL- Appreciated by **`Infosys Limited`[EMPLOYER_COMPANY_NAME]** for consistent performance in delivery -NL- with shares and Iphone -NL- Hands On -NL- Core Java, JDBC, spring, Maven, Apache Camel, Mongo, MySQL, REST -NL- API, UML, JSON, Hibernate ORM, Nagios, Bit Bucket, git -NL- 0 Project Name **`Coupon Services`[PROJECT_TITLE]** -NL- 3 -NL- Client -NL- **`Sears Holding Corporation`[PROJECT_COMPANY_NAME]** -NL- Description of -NL- The project involves understanding business requirements, API design, -NL- the project -NL- development, integration, deployment and support of **`Coupon Services`[PROJECT_TITLE]** -NL- which is a core component of the Online Business of the customer. -NL- These services connects the end user interfaces with back end -NL- repositories, business logic and other core enterprise components used -NL- Page 2 of 4 -NL- for various levels of dynamic and scheduled processing like targeting, -NL- issuance, arbitration, redemption etc. Project handles multiple types of -NL- coupons meant for online and in-store needs of the customer, to -NL- enhance the customer loyalty and product selling capabilities. Project -NL- also connects third party coupon aggregators to facilitate external -NL- coupon sources and caters to multiple channels of coupon issuance and -NL- usage. Project also involves continuous enhancements as well as -NL- performance improvements to cater to new business requirements as -NL- well as higher level of data volume. -NL- Responsibility -NL- Includes Understanding Business Requirements, Technical Design -NL- document Preparation, Coding, Unit Testing, Integration testing, -NL- Configuration Management, Deployment in Integration and QA -NL- Environments & production support -NL- Duration -NL- AUG ’2012 – JULY ‘2013 -NL- Hands On -NL- Core Java, JDBC, spring, Maven, MySQL, REST API, UML, Unix -NL- 0 Project Name IMPACT- Integrated Multi-Channel Planning and Collaboration -NL- 4 Technology -NL- Client -NL- **`Sears Holding Corporation`[PROJECT_COMPANY_NAME]** -NL- Description of -NL- The project involves the development of Promo Planning Online -NL- the project -NL- application which is a custom build solution, catering to the -NL- promotional planning requirements of the Integrated Multichannel -NL- Planning and collaboration Technology for **`Sears Holding Corporation`[PROJECT_COMPANY_NAME]**. -NL- This application is used to create And manage promotional offers and -NL- activities. The business objective of this project is to replace the current -NL- set of marketing and advertising systems and Migrate to a single -NL- integrated advertising and marketing application. -NL- Responsibility -NL- Includes Understanding Business Requirements, Technical Design -NL- document Preparation, Coding, Unit Testing, Configuration -NL- Management, Deployment in Integration and QA Environments -NL- Duration -NL- MAR ’2010 – JULY ‘2012 -NL- Hands On -NL- Core Java, JDBC, spring, Web Sphere Application Server, IBM DB2, IBM -NL- Rational s/w architect IDE, Log4J, UML, Unix, JAXB (Java-to-XML binding) -NL- (using IBM Rational s/w architect) -NL- 0 Project Name **`E cards Maintenance & Support`[PROJECT_TITLE]** -NL- 5 Client -NL- **`Hallmark Cards Inc.`[PROJECT_COMPANY_NAME]** -NL- Description of -NL- The project provides **`Hallmark Cards Inc.`[PROJECT_COMPANY_NAME]**, with development & Support -NL- Project -NL- for their internet, billing and order management applications. -NL- Responsibility -NL- Included carrying out Quality Assurance tasks ranging from test plan -NL- creations, Functional testing, Performance testing, Security testing, -NL- Regression testing and creation of a tool for clearing browser cookies in -NL- java script. -NL- Duration -NL- FEB ’2009 – FEB ‘2010 -NL- **`Education:`[EDUCATION_HEADING]** -NL- COURSE OF STUDY - Specialization - Board/ University - Year of Passing - % OF MARKS -NL- **`Bachelor of Engineering`[EDUCATION_DEGREE]** - **`Computer Science`[EDUCATION_COURSE]** - **`Anna University`[EDUCATION_INSTITUTE]** - 2008 - 69 -NL- Page 3 of 4 -NL- **`PERSONAL PROFILE`[PERSONAL_DETAILS_HEADING]** -NL-  Nationality : Indian -NL-  Languages Known : English, Tamil -NL-  Marital Status : Married -NL-  Visa : T2 General Dependent (Valid Till Oct ‘2022) -NL- Page 4 of 4 -NL- 